package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 专题报告
 */
@RestController
@RequestMapping(value = "/business-service/api/Special", produces = "application/json;charset=UTF-8")
@Api(tags = "专题报告")
public class SpecialReportController
{

    @RequestMapping(value = "/getWord",method = {RequestMethod.GET})
    @ApiOperation(value = "返回专题报告路径",httpMethod = "GET")
    public AjaxResult getWord(@RequestParam("path") String path,@RequestParam("name") String name)
    {
        String route="";
        switch (path)
        {
            case "ch":
                route="avatar/word/全球生态环境遥感监测2021年度报告-中文版-20220309.docx";
                break;
            case "en":
                route="avatar/word/全球生态环境遥感监测2021年度报告-英文简本-20211102.docx";
                break;
            default:
                return  AjaxResult.error("未找到对应路径");
        }
        return  AjaxResult.success(route);
    }
}
